Bug 841355 - max_execution_time affected by max_input_time [NEEDINFO]
max_execution_time affected by max_input_time
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: php53 (Show other bugs)
5.8
i686 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Web Stack Team
BaseOS QE - Apps
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 14:39 EDT by Christopher Cross
Modified: 2013-12-02 10:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-02 10:57:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rcollet: needinfo? (crcross)


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
PHP Bug Tracker 49868 None None None 2012-07-18 14:39:24 EDT

  None (edit)
Description Christopher Cross 2012-07-18 14:39:24 EDT
Description of problem:
With php53 we are having the same problem described at https://bugs.php.net/bug.php?id=49868. We decided to move to php53 after using a php-5.2 and uncovered the problem while testing one of our applications. 

max_execution_time gets the value of max_input_time. phpinfo() reported our correct setting of "max_execution_time 360" from php.ini but we still received "PHP Fatal error:  Maximum execution time of 60 seconds exceeded in Unknown on line 0" in the httpd/error_log. After seeing the php bug report and changing the max_input_time to 360 we no longer had this error.

Version-Release number of selected component (if applicable):
php53-5.3.3-13.el5_8

How reproducible:


Steps to Reproduce:
1. Set max_input_time lower than max_execution_time.
2. Run script that takes longer than max_input_time.
3. Find error in log.
  
Actual results:
PHP Fatal error from execution time.

Expected results:
No error.

Additional info:
Comment 1 Remi Collet 2012-10-09 10:38:28 EDT
Sorry, but I connot reproduce your issue.

    "PHP Fatal error: Maximum execution time of 60 seconds exceeded
     in Unknown on line 0"

Line 0 means before execution, so, seems really related to max_input_time.

Can you try the simple script

<?php
echo "phpversion="         . phpversion() . ' | ' .
     "max_execution_time=" . ini_get('max_execution_time') . ' | ' .
     "max_input_time="     . ini_get('max_input_time');
while(true);


Should raise a 

   "Fatal error: Maximum execution time of 9 seconds exceeded
    in /var/www/html/long.php on line 5"
Comment 2 Joe Orton 2013-12-02 10:57:30 EST
In the absence of further feedback, we are unable to help further with this issue. and it is therefore being closed.  If you need further assistance, please contact your Red Hat support representative.

Note You need to log in before you can comment on or make changes to this bug.